package com.ylx.massage.utils;

import java.util.Timer;
import java.util.TimerTask;

public class CountdownWithTimer {
    public static void main(String[] args) {
        int countdownSeconds = 3000;

        Timer timer = new Timer();
        TimerTask task = new TimerTask() {
            private int remainingSeconds = countdownSeconds;

            @Override
            public void run() {
                if (remainingSeconds > 0) {
                    System.out.println("1111: " + remainingSeconds);
                    remainingSeconds--;
                } else {
                    this.cancel(); // 当倒计时结束时取消任务
                    System.out.println("!!!!！");
                }
            }
        };

        // 设置定时器在1秒后首次执行任务，之后每隔1秒执行一次
        timer.scheduleAtFixedRate(task, 1000, 1000);
    }
}
